/* -- $Id: Param.java,v 1.2 2003/08/29 15:48:19 kshaikh Exp $ --
 Copyright (C) 2001 Auriga Logic <http://www.aurigalogic.com>
 Author: Khurshidali Shaikh <kshaikh@aurigalogic.com>

 ============================================================================
		    GNU GENERAL PUBLIC LICENSE Version 2, June 1991
 ============================================================================

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
package com.aurigalogic.aurigadoc.ant;

/**
 * This class models a param element for the AurigaDoc ant task.
 * 
 * @author <a href="mailto:kshaikh@aurigalogic.com">Khurshidali Shaikh</a>
 * @version $Revision: 1.2 $ $Date: 2003/08/29 15:48:19 $
 */

public class Param {

	/** param name */
	private String name;

	/** param value */
	private String value;

	/**
	 * Sets the name attribute of the param element.
	 * @param n the param name
	 */
	public void setName(String n) {
		name = n;
	}

	/**
	 * Gets the param name.
	 * @return the param name
	 */
	public String getName() {
		return name;
	}

	/**
	 * Sets the value attribute of the param element
	 * @param v the param value
	 */
	public void setValue(String v) {
		value = v;
	}

	/**
	 * Gets the param value.
	 * @return param value
	 */
	public String getValue() {
		return value;
	}
}
