/* -- $Id: MANConverter.java,v 1.3 2003/07/11 16:41:32 kshaikh Exp $ --
 Copyright (C) 2001 Auriga Logic <http://www.aurigalogic.com>
 Author: Khurshidali Shaikh <kshaikh@aurigalogic.com>

 ============================================================================
		    GNU GENERAL PUBLIC LICENSE Version 2, June 1991
 ============================================================================

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
package com.aurigalogic.aurigadoc.core;

import java.io.*;

/**
 * This class is used for converting AurigaDoc document to unix man source file.
 * 
 * @author <a href="mailto:kshaikh@aurigalogic.com">Khurshidali Shaikh</a>
 * @version $Revision: 1.3 $ $Date: 2003/07/11 16:41:32 $
 */

public class MANConverter  extends BaseConverter {

	/**
	 * Main method which does the conversion.
	 * @throws Exception in case of an error
	 */
	public void convert() throws Exception {
		logInfo("Converting to MAN source file..");
		FileOutputStream fos = new FileOutputStream(outputFile);
		doTransform(new FileInputStream(inputFile), 
			fos, getXSLForKey(XSL, XML2MAN), OUTPUT_TEXT);
		fos.close();
	}
}
