/* -- $Id: DefaultLogger.java,v 1.3 2003/11/06 10:04:47 kshaikh Exp $ --
 Copyright (C) 2001 Auriga Logic <http://www.aurigalogic.com>
 Author: Khurshidali Shaikh <kshaikh@aurigalogic.com>

 ============================================================================
		    GNU GENERAL PUBLIC LICENSE Version 2, June 1991
 ============================================================================

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
package com.aurigalogic.aurigadoc.logger;

import java.util.Date;
import java.text.SimpleDateFormat;

/**
 * This class provides the default implementation of the Logger interface.
 *
 * @author <a href="mailto:kshaikh@aurigalogic.com">Khurshidali Shaikh</a>
 * @version $Revision: 1.3 $ $Date: 2003/11/06 10:04:47 $
 */

public class DefaultLogger implements Logger {

	/**
	 * Log the given msg as info.
	 * @param msg message to log.
	 */
	public void info(String msg) {
		System.out.println("[" + getDate() + "] INFO: " + msg);
	};

	/**
	 * Log the given msg as error.
	 * @param msg message to log.
	 * @param e exception to log.
	 */
	public void error(String msg, Exception e) {
		System.out.println("[" + getDate() + "] ERROR: " + msg);
		e.printStackTrace();
	};

	/**
	 * Log the given msg as debug.
	 * @param msg message to log.
	 */
	public void debug(String msg) {
		System.out.println("[" + getDate() + "] DEBUG: " + msg);
	};

	/**
	 * Log the given msg as warning.
	 * @param msg message to log.
	 */
	public void warn(String msg) {
		System.out.println("[" + getDate() + "] WARN: " + msg);
	};

	private String getDate() {
		String format = "dd MMM yy HH:mm:ss,S";
        SimpleDateFormat sdf = new SimpleDateFormat(format);
		return sdf.format(new Date());  
	}
}
