/* -- $Id: Logger.java,v 1.3 2003/11/06 10:04:47 kshaikh Exp $ --
 Copyright (C) 2001 Auriga Logic <http://www.aurigalogic.com>
 Author: Khurshidali Shaikh <kshaikh@aurigalogic.com>

 ============================================================================
		    GNU GENERAL PUBLIC LICENSE Version 2, June 1991
 ============================================================================

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
package com.aurigalogic.aurigadoc.logger;

/**
 * This interface is to be implemented for implementing a logger to use
 * with AurigaDoc Driver.
 *
 * @author <a href="mailto:kshaikh@aurigalogic.com">Khurshidali Shaikh</a>
 * @version $Revision: 1.3 $ $Date: 2003/11/06 10:04:47 $
 */

public interface Logger {
	/**
	 * Log the given msg as info.
	 * @param msg message to log.
	 */
	void info(String msg);

	/**
	 * Log the given msg as error.
	 * @param msg message to log.
	 * @param e exception to log.
	 */
	void error(String msg, Exception e);

	/**
	 * Log the given msg as debug.
	 * @param msg message to log.
	 */
	void debug(String msg);

	/**
	 * Log the given msg as warning.
	 * @param msg message to log.
	 */
	void warn(String msg);

}

