<?xml version="1.0" encoding="UTF-8"?>
<!-- $Id: xml2hs.xsl,v 1.7 2003/10/16 15:24:34 kshaikh Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output method="xml" indent="yes"/>

<!-- B: COMMON VARIABLES -->
<!--
*************************************************************************
Here we declare the document scope variable 
*************************************************************************
-->
<xsl:variable name="dfi" select="/document/document-formatting-info"/>

<xsl:variable name="toc" select="/document/document-body/table-of-content"/>

<xsl:variable name="dmi" select="/document/document-meta-info"/>

<xsl:variable name="nbsp">
<xsl:text> </xsl:text>
</xsl:variable>

<!-- number format for numbering sections -->
<xsl:variable name="snf">
<xsl:choose>
<xsl:when test="$dfi/generate-section-numbers/@number-format">
<xsl:value-of select="$dfi/generate-section-numbers/@number-format"/>
</xsl:when>
<xsl:otherwise>1</xsl:otherwise>
</xsl:choose>
</xsl:variable>

<xsl:variable name="generate-section-numbers">
<xsl:choose>
<xsl:when test="$dfi/generate-section-numbers  = 'no'">no</xsl:when>
<xsl:otherwise>yes</xsl:otherwise>
</xsl:choose>
</xsl:variable>

<!-- E: COMMON VARIABLES -->

<!-- document -->
<xsl:template match="document">
<helpset version="1.0">
	<title>
<xsl:value-of select="$dmi/title"/>
</title>

	<maps>
		<homeID>table_of_content</homeID>
		<mapref location="Map.jhm"/>
	</maps>

	<view>
		<name>TOC</name>
		<label>
<xsl:value-of select="$dmi/title"/>
</label>
		<type>javax.help.TOCView</type>
		<data>jhelptoc.xml</data>
		<image>contentIcon</image>
	</view>

	<view>
		<name>Search</name>
		<label>Search</label>
		<type>javax.help.SearchView</type>
		<data>JavaHelpSearch</data>
		<image>searchIcon</image>
	</view>

	<view>
		<name>favorites</name>
		<label>Favorites</label>
		<type>javax.help.FavoritesView</type>
		<image>bookmarkIcon</image>
	</view>

	<presentation default="true">
		<name>main window</name>
		<size height="400" width="600"/>
		<location y="0" x="0"/>
		<title>
<xsl:value-of select="$dmi/title"/>
</title>
		
		<toolbar>
			<helpaction image="backIcon">javax.help.BackAction</helpaction>
			<helpaction image="forwardIcon">javax.help.ForwardAction</helpaction>
			<helpaction image="homeIcon">javax.help.HomeAction</helpaction>
			<helpaction image="reloadIcon">javax.help.ReloadAction</helpaction>
			<helpaction image="addBookmarkIcon">javax.help.FavoritesAction</helpaction>
			<helpaction image="printIcon">javax.help.PrintAction</helpaction>
			<helpaction image="printSetupIcon">javax.help.PrintSetupAction</helpaction>
		</toolbar>
	</presentation>
</helpset>
</xsl:template>
</xsl:stylesheet>
